Uploaded image for project: 'Cassandra'
  1. Cassandra
  2. CASSANDRA-9688

Wrong CQL version in cqlsh prevent the client to connect to the server

Log workAgile BoardRank to TopRank to BottomAttach filesAttach ScreenshotBulk Copy AttachmentsBulk Move AttachmentsVotersWatch issueWatchersCreate sub-taskConvert to sub-taskMoveLinkCloneLabelsUpdate Comment AuthorReplace String in CommentUpdate Comment VisibilityDelete Comments
    XMLWordPrintableJSON

Details

    • Bug
    • Status: Resolved
    • Normal
    • Resolution: Fixed
    • 2.2.0 rc2
    • Legacy/CQL
    • Normal

    Description

      The CQL version needs to be updated in cqlsh otherwise the client fail to connect with the following error:

      Connection error: ('Unable to connect to any servers', {'127.0.0.1': ProtocolError("cql_version '3.2.0' is not supported by remote (w/ native protocol). Support
      ed versions: [u'3.3.0']",)})
      

      Attachments

        Activity

          This comment will be Viewable by All Users Viewable by All Users
          Cancel

          People

            blerer Benjamin Lerer Assign to me
            blerer Benjamin Lerer
            Benjamin Lerer
            Aleksey Yeschenko
            Votes:
            0 Vote for this issue
            Watchers:
            3 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved:

              Slack

                Issue deployment